LINUX.ORG.RU

The following packages have unmet dependencies

 


0

1

Поставил Mint 19. С нуля. Люблю корицу.

Стал ставить софт, одним из которого стал Viber.

Ладно, gdebi или что там у них установщик софта, матюкнулся что viber.deb - не deb. Мы не гордые, мы в 2019 году зайдем в консоль и запустим dpkg -i viber.deb

dpkg матюкнулся на тему что нам нужен libcurl3 а у вас стоит аж целый libcurl4. Подправить можно. Но ПОЧЕМУ ? Если Viber прекрасно работает на libcurl4, то мне нужно колупать этот .deb, править руками слово libcurl4 на libcurl3 и паковать обратно ? Бред.

Вайбер работает и ему плевать какой у нас стоит libcurl

Но суть не в этом ...

Какого черта я теперь не могу поставить ни одно приложение ?

root@brix:/home/ntfs# apt install vlc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 viber : Depends: libcurl3 but it is not going to be installed
         Depends: gstreamer1.0-plugins-ugly but it is not going to be installed
         Depends: gstreamer1.0-libav but it is not going to be installed
 vlc : Depends: vlc-bin (= 3.0.4-1ubuntu0.2) but it is not going to be installed
       Depends: vlc-plugin-base (= 3.0.4-1ubuntu0.2) but it is not going to be installed
       Depends: vlc-plugin-qt (= 3.0.4-1ubuntu0.2) but it is not going to be installed
       Depends: vlc-plugin-video-output (= 3.0.4-1ubuntu0.2) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

apt, отлюбись от моего Вайбера, в отличие от тебя, он работает! Ты мне предлагаешь «Try 'apt --fix-broken install' with no packages (or specify a solution)» ? Ня:

root@brix:/home/ntfs# apt --fix-broken install
apt
Usage: apt command [options]
       apt help command [options]

Commands:
  add-repository   - Add entries to apt sources.list
  autoclean        - Erase old downloaded archive files
  autoremove       - Remove automatically all unused packages
  build            - Build binary or source packages from sources
  build-dep        - Configure build-dependencies for source packages
  changelog        - View a package's changelog
  check            - Verify that there are no broken dependencies
  clean            - Erase downloaded archive files
  contains         - List packages containing a file
  content          - List files contained in a package
  deb              - Install a .deb package
  depends          - Show raw dependency information for a package
  dist-upgrade     - Upgrade the system by removing/installing/upgrading packages
  download         - Download the .deb file for a package
  edit-sources     - Edit /etc/apt/sources.list with your preferred text editor
  dselect-upgrade  - Follow dselect selections
  full-upgrade     - Same as 'dist-upgrade'
  held             - List all held packages
  help             - Show help for a command
  hold             - Hold a package
  install          - Install/upgrade packages
  list             - List packages based on package names
  policy           - Show policy settings
  purge            - Remove packages and their configuration files
  recommends       - List missing recommended packages for a particular package
  rdepends         - Show reverse dependency information for a package
  reinstall        - Download and (possibly) reinstall a currently installed package
  remove           - Remove packages
  search           - Search for a package by name and/or expression
  show             - Display detailed information about a package
  showhold         - Same as 'held'
  source           - Download source archives
  sources          - Same as 'edit-sources'
  unhold           - Unhold a package
  update           - Download lists of new/upgradable packages
  upgrade          - Perform a safe upgrade
  version          - Show the installed version of a package

root@brix:/home/ntfs# 

Я не знаю кто виноват: Минт, Убунта, или Дебиан. Я знаю что за пару лет пользования Арчем или Антергосом, pacman не выдал мне ни единой головоломки, которую он не смог решить.

Если кто знает как с этим бороться бескровно - подскажите пожалуйста. Советы удалить вайбер, подправить зависимости, не выпендриваться и вернуться на Арч - я и сам знаю.

Спасибо!

И это, ты ставишь свой бинарный гомобибер который собран для совсем другого дистрибутива, и что-то требуешь, да? Скажи честно, ты шизофреник или просто тупой?

anonymous ()
Ответ на: комментарий от anonymous

Ты наркоман ? Перечитай еще раз написанное. Вайбер работает. Не работает apt.

собран для совсем другого дистрибутива

Он собран для Ubuntu. А теперь держи вывод из моей консоли.

root@brix:/home/ntfs/Downloads# apt update
Get:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease                                                                 
Hit:3 http://archive.canonical.com/ubuntu bionic InRelease                                                                                                      
Get:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]                                                                                       
Get:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]                                                                            
Ign:6 http://packages.linuxmint.com tara InRelease                                    
Get:7 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [204 B]
Hit:8 http://packages.linuxmint.com tara Release                                                        
Get:9 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [14,9 kB]
Get:10 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [418 kB]
Get:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [484 kB]
Get:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [261 kB]
Get:14 http://archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [700 kB]
Get:15 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [708 kB]
Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [200 kB]
Get:17 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2 464 B]
Get:18 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [5 816 B]
Fetched 3 040 kB in 2s (1 818 kB/s)                      
Reading package lists... Done
Building dependency tree       
Reading state information... Done
494 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@brix:/home/ntfs/Downloads#

windows10 ()
Ответ на: комментарий от windows10

Наверно я так же ику с бустом и какие-то там криптолибы обновляю, делая симлинк на сонейм. Вполне отлично работает, и чего это они говорят ЧТО БИНАРНОЙ СОВМЕСТИМОСТИ НЕТ, даже не представляю. Минт и убунта не всегда совместимы, сам сломал сам чини.

anonymous ()

Ладно, gdebi или что там у них установщик софта, матюкнулся что viber.deb - не deb. Мы не гордые, мы в 2019 году зайдем в консоль и запустим dpkg -i viber.deb

DontBreakDebian, думаю, что это касается и Ubuntu/Mint.

Подправить можно. Но ПОЧЕМУ ?

Попробуйте задать этот вопрос разработчикам viber'а, им виднее.

Какого черта я теперь не могу поставить ни одно приложение ?

Потому что сломали зависимости и теперь apt не может автоматически решить, что вам нужнее.

apt, отлюбись от моего Вайбера, в отличие от тебя, он работает!

Apt тоже работает и работает правильно, на вашем месте я бы радовался этому.

Попробуйте использовать flatpak/snap — их же для вас создавали.

PS:

Советы удалить вайбер, подправить зависимости, ... - я и сам знаю.

Жаль, что не следуете им.

anonymous ()

зайдем в консоль и запустим dpkg -i biber.deb
dpkg матюкнулся
Какого черта я теперь не могу поставить ни одно приложение?

А чего ты хотел? ССЗБ.

Я знаю что за пару лет пользования Арчем, pacman не выдал мне ни единой головоломки, которую он не смог решить

Всегда удивляли такие персонажи, которые генту и арч юзают, а попсовую бубунту напополам с гуглом не осилили. По видеоурокам небось ставил.

anonymous ()